Page MenuHomeFreeBSD

D46862.1779014671.diff
No OneTemporary

Size
719 B
Referenced Files
None
Subscribers
None

D46862.1779014671.diff

diff --git a/libexec/rc/rc.d/sendmail b/libexec/rc/rc.d/sendmail
--- a/libexec/rc/rc.d/sendmail
+++ b/libexec/rc/rc.d/sendmail
@@ -206,6 +206,7 @@
}
run_rc_command "$1"
+_ret=$?
required_files=
@@ -214,6 +215,7 @@
rcvar="sendmail_submit_enable"
_rc_restart_done=false
run_rc_command "$1"
+ _ret=$(( _ret > $? ? _ret : $? ))
fi
if checkyesno sendmail_outbound_enable; then
@@ -221,6 +223,7 @@
rcvar="sendmail_outbound_enable"
_rc_restart_done=false
run_rc_command "$1"
+ _ret=$(( _ret > $? ? _ret : $? ))
fi
name="sendmail_msp_queue"
@@ -229,3 +232,6 @@
required_files="/etc/mail/submit.cf"
_rc_restart_done=false
run_rc_command "$1"
+_ret=$(( _ret > $? ? _ret : $? ))
+
+(exit "$_ret")

File Metadata

Mime Type
text/plain
Expires
Sun, May 17, 10:44 AM (19 h, 49 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
28707549
Default Alt Text
D46862.1779014671.diff (719 B)

Event Timeline